Bug 294121 - yum update breaks "use DB_File" because of missing dependency in perl RPM
yum update breaks "use DB_File" because of missing dependency in perl RPM
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-17 20:30 EDT by Jonathan Kamens
Modified: 2008-03-03 11:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-03 11:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-09-17 20:30:19 EDT
In the middle of a recent "yum update", this started happening:

$ perl -e 'use DB_File;'

DB_File needs compatible versions of libdb & db.h
        you have db.h version 4.6.18 and libdb version 4.6.19
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

I think the perl RPM needs to create a build-time dependency on the version of
db against which it was linked, to prevent yum update from installing a new db
version when no corresponding relinked perl is available.
Comment 1 Marcela Mašláňová 2008-02-27 08:23:11 EST
Should be fixed in perl-5.10 by upstream according to rt.cpan.org #30013
Comment 2 Marcela Mašláňová 2008-03-03 11:11:38 EST
Also can reproduce now.
Please feel free to reopen it, if the problem persist.

Note You need to log in before you can comment on or make changes to this bug.